cURL
curl --request PATCH \ --url https://api.sftpsync.io/pipelines/{id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "mappings": [ { "sourceField": "<string>", "targetField": "<string>", "transform": "<string>", "defaultValue": "<unknown>" } ], "clientId": "<string>", "schemaId": "<string>", "direction": "inbound", "webhookIds": [ "<string>" ] } '
{ "id": "<string>", "name": "<string>", "mappings": [ { "sourceField": "<string>", "targetField": "<string>", "transform": "<string>", "defaultValue": "<unknown>" } ], "isActive": true, "workspaceId": "<string>", "clientId": "<string>", "schemaId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "direction": "inbound" }
Show child attributes
Set to "outbound" to create a pipeline that accepts data via the Outbound Uploads API.
inbound
outbound
Pipeline
Pipeline direction. Outbound pipelines accept data via the Outbound Uploads API.